Package org.springframework.security.config.annotation.authentication.configurers.userdetails

# Class DaoAuthenticationConfigurer<B extends ProviderManagerBuilder<B>,U extends org.springframework.security.core.userdetails.UserDetailsService>

java.lang.Object
org.springframework.security.config.annotation.SecurityConfigurerAdapter<org.springframework.security.authentication.AuthenticationManager,B>
org.springframework.security.config.annotation.authentication.configurers.userdetails.UserDetailsAwareConfigurer<B,U>
org.springframework.security.config.annotation.authentication.configurers.userdetails.AbstractDaoAuthenticationConfigurer<B,DaoAuthenticationConfigurer<B,U>,U>
org.springframework.security.config.annotation.authentication.configurers.userdetails.DaoAuthenticationConfigurer<B,U>

Type Parameters:
  `B` - The type of `ProviderManagerBuilder` this is
  `U` - The type of `UserDetailsService` that is being used

All Implemented Interfaces:
  `SecurityConfigurer<org.springframework.security.authentication.AuthenticationManager,B>`

public class DaoAuthenticationConfigurer<B extends ProviderManagerBuilder<B>,U extends org.springframework.security.core.userdetails.UserDetailsService> extends AbstractDaoAuthenticationConfigurer<B,DaoAuthenticationConfigurer<B,U>,U>
Allows configuring a `DaoAuthenticationProvider`

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`DaoAuthenticationConfigurer(U userDetailsService)`
Creates a new instance

## Method Summary

### Methods inherited from class org.springframework.security.config.annotation.authentication.configurers.userdetails.AbstractDaoAuthenticationConfigurer

`configure, getUserDetailsService, passwordEncoder, userDetailsPasswordManager, withObjectPostProcessor, withObjectPostProcessor`

### Methods inherited from class org.springframework.security.config.annotation.SecurityConfigurerAdapter

`addObjectPostProcessor, addObjectPostProcessor, and, getBuilder, init, postProcess, setBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DaoAuthenticationConfigurer

public DaoAuthenticationConfigurer(U userDetailsService)
Creates a new instance

Parameters:
  `userDetailsService` -